Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev3
Class StreamEventMonitor

    java.lang.Object
      |
      +--uk.co.westhawk.examplev3.StreamEventMonitor

All Implemented Interfaces:
  java.lang.Runnable

public class StreamEventMonitor
extends java.lang.Object
implements java.lang.Runnable

The StreamEventMonitor class performs a system subtree walk with either SNMPv1 or SNMPv3. This class is used by WestSpeedTests.

Version:
  $Revision: 1.1 $ $Date: 2002/10/22 10:49:42 $
Author:
  Tim Panton
See Also:
  `SnmpTarget`, `WestSpeedTests`

Field Summary
`static boolean` | `doNetscape`
`static java.lang.String` | `OID` The system OID.

Constructor Summary
`StreamEventMonitor(java.lang.String h, int loops, boolean v3)` The constructor.

Method Summary
`void` | `run()` Runs the configured number of subtree walks.
`void` | `setUCM(java.lang.String uname, java.lang.String passw, java.lang.String contextN, byte[] contextI, int proto)` Set the UCM parameters for SNMPv3.
`static java.util.Vector` | `walkSubTree(SnmpTarget target, java.lang.String startOID)` Performs the actual subtree walk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OID

    public static final java.lang.String OID

  The system OID.

### doNetscape

    public static final boolean doNetscape

Constructor Detail

### StreamEventMonitor

    public StreamEventMonitor(java.lang.String h,
                              int loops,
                              boolean v3)

  The constructor. If SNMPv3 should be used, setUCM() should be called as well.
  Parameters:
    `h` - The host
    `loops` - The number of time the subtree walk should be performed
    `v3` - The boolean indicating if SNMPv3 (true) should be used or not.
  See Also:
    `setUCM(java.lang.String, java.lang.String, java.lang.String, byte[], int)`

Method Detail

### setUCM

    public void setUCM(java.lang.String uname,
                       java.lang.String passw,
                       java.lang.String contextN,
                       byte[] contextI,
                       int proto)

  Set the UCM parameters for SNMPv3.

### run

    public void run()

  Runs the configured number of subtree walks. It prints the result and then sleeps one second.
  Specified by:
    `run` in interface `java.lang.Runnable`

### walkSubTree

    public static java.util.Vector walkSubTree(SnmpTarget target,
                                               java.lang.String startOID)

  Performs the actual subtree walk.
  Parameters:
    `target` - The configured snmp target
    `startOID` - The oid where the walks start

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD